<?xml version="1.0" encoding="utf-8"?>
<!-- Aseprite -->
<!-- Copyright (C) 2018-2025  Igara Studio S.A. -->
<!-- Copyright (C) 2014-2018  David Capello -->
<preferences>

  <types>
    <enum id="RightClickMode">
      <value id="DEFAULT" value="0" />
      <value id="PAINT_BGCOLOR" value="0" />
      <value id="PICK_FGCOLOR" value="1" />
      <value id="ERASE" value="2" />
      <value id="SCROLL" value="3" />
      <value id="RECTANGULAR_MARQUEE" value="4" />
      <value id="LASSO" value="5" />
      <value id="SELECT_LAYER_AND_MOVE" value="6" />
    </enum>
    <enum id="OnionskinType">
      <value id="MERGE" value="0" />
      <value id="RED_BLUE_TINT" value="1" />
    </enum>
    <enum id="BrushType">
      <value id="CIRCLE" value="0" />
      <value id="SQUARE" value="1" />
      <value id="LINE" value="2" />
    </enum>
    <enum id="BrushPreview">
      <value id="NONE" value="0" />
      <value id="EDGES" value="1" />
      <value id="FULL" value="2" />
      <value id="FULLALL" value="3" />
      <value id="FULLNEDGES" value="4" />
    </enum>
    <enum id="BgType">
      <value id="CHECKERED_16x16" value="0" />
      <value id="CHECKERED_8x8" value="1" />
      <value id="CHECKERED_4x4" value="2" />
      <value id="CHECKERED_2x2" value="3" />
      <value id="CHECKERED_1x1" value="4" />
      <value id="CHECKERED_CUSTOM" value="5" />
    </enum>
    <enum id="StopAtGrid">
      <value id="NEVER" value="0" />
      <value id="IF_VISIBLE" value="1" />
      <value id="ALWAYS" value="2" />
    </enum>
    <enum id="FillReferTo">
      <value id="ACTIVE_LAYER" value="0" />
      <value id="ALL_LAYERS" value="1" />
    </enum>
    <enum id="PixelConnectivity">
      <value id="FOUR_CONNECTED" value="0" />
      <value id="EIGHT_CONNECTED" value="1" />
    </enum>
    <enum id="EyedropperChannel">
      <value id="COLOR_ALPHA" value="0" />
      <value id="COLOR" value="1" />
      <value id="ALPHA" value="2" />
      <value id="RGBA" value="3" />
      <value id="RGB" value="4" />
      <value id="HSVA" value="5" />
      <value id="HSV" value="6" />
      <value id="HSLA" value="7" />
      <value id="HSL" value="8" />
      <value id="GRAYA" value="9" />
      <value id="GRAY" value="10" />
      <value id="INDEX" value="11" />
    </enum>
    <enum id="EyedropperSample">
      <value id="ALL_LAYERS" value="0" />
      <value id="CURRENT_LAYER" value="1" />
      <value id="FIRST_REFERENCE_LAYER" value="2" />
    </enum>
    <enum id="SelectionMode">
      <value id="DEFAULT" value="0" />
      <value id="REPLACE" value="0" />
      <value id="ADD" value="1" />
      <value id="SUBTRACT" value="2" />
      <value id="INTERSECT" value="3" />
    </enum>
    <enum id="PivotPosition">
      <value id="NORTHWEST" value="0" />
      <value id="NORTH" value="1" />
      <value id="NORTHEAST" value="2" />
      <value id="WEST" value="3" />
      <value id="CENTER" value="4" />
      <value id="EAST" value="5" />
      <value id="SOUTHWEST" value="6" />
      <value id="SOUTH" value="7" />
      <value id="SOUTHEAST" value="8" />
    </enum>
    <enum id="SymmetryMode">
      <value id="NONE" value="0" />
      <value id="HORIZONTAL" value="1" />
      <value id="VERTICAL" value="2" />
      <value id="BOTH" value="3" />
      <value id="RIGHT_DIAG" value="4" />
      <value id="LEFT_DIAG" value="8" />
      <value id="BOTH_DIAG" value="12" />
      <value id="ALL" value="15" />
    </enum>
    <enum id="PaintingCursorType">
      <value id="SIMPLE_CROSSHAIR" value="0" />
      <value id="CROSSHAIR_ON_SPRITE" value="1" />
    </enum>
    <enum id="TimelinePosition">
      <value id="BOTTOM" value="0" />
      <value id="LEFT" value="1" />
      <value id="RIGHT" value="2" />
    </enum>
    <enum id="ColorProfileBehavior">
      <value id="DISABLE" value="0" />
      <value id="EMBEDDED" value="1" />
      <value id="CONVERT" value="2" />
      <value id="ASSIGN" value="3" />
      <value id="ASK" value="4" />
    </enum>
    <enum id="WindowColorProfile">
      <value id="MONITOR" value="0" />
      <value id="SRGB" value="1" />
      <value id="SPECIFIC" value="2" />
    </enum>
    <enum id="ToGrayAlgorithm">
      <value id="DEFAULT" value="0" />
      <value id="LUMA" value="0" />
      <value id="HSV" value="1" />
      <value id="HSL" value="2" />
    </enum>
    <enum id="SequenceDecision">
      <value id="ASK" value="0" />
      <value id="YES" value="1" />
      <value id="NO" value="2" />
    </enum>
    <enum id="Downsampling">
      <value id="NEAREST" value="0" />
      <value id="BILINEAR" value="1" />
      <value id="BILINEAR_MIPMAP" value="2" />
      <value id="TRILINEAR_MIPMAP" value="3" />
    </enum>
    <enum id="AlphaRange">
      <value id="EIGHT_BIT" value="0" />
      <value id="PERCENTAGE" value="1" />
    </enum>
    <enum id="CelContentFormat">
      <value id="COMPRESSED" value="0" />
      <value id="KEEP_AS_IS" value="1" />
      <value id="RAW_IMAGE" value="2" />
    </enum>
  </types>

  <global>
    <section id="general">
      <option id="language" type="std::string" default="&quot;en&quot;" />
      <option id="screen_scale" type="int" default="0" />
      <option id="ui_scale" type="int" default="1" />
      <option id="gpu_acceleration" type="bool" default="false" />
      <option id="show_home" type="bool" default="true" />
      <option id="visible_timeline" type="bool" default="false" />
      <option id="autoshow_timeline" type="bool" default="true" />
      <option id="rewind_on_stop" type="bool" default="false" />
      <option id="expand_menubar_on_mouseover" type="bool" default="false" />
      <option id="data_recovery" type="bool" default="true" />
      <option id="data_recovery_period" type="double" default="2.0" />
      <option id="keep_edited_sprite_data" type="bool" default="true" />
      <option id="keep_edited_sprite_data_for" type="int" default="7" />
      <option id="keep_closed_sprite_on_memory" type="bool" default="true" />
      <option id="keep_closed_sprite_on_memory_for" type="double" default="15.0" />
      <option id="show_full_path" type="bool" default="true" />
      <option id="edit_full_path" type="bool" default="false" />
      <option id="workspace_layout" type="std::string" />
      <option id="timeline_position" type="TimelinePosition" default="TimelinePosition::BOTTOM" />
      <option id="timeline_layer_panel_width" type="int" default="100" />
      <option id="show_menu_bar" type="bool" default="true" />
      <option id="recent_items" type="int" default="16" />
      <option id="osx_async_view" type="bool" default="true" />
      <option id="x11_stylus_id" type="std::string" />
    </section>
    <section id="undo" text="Undo">
      <option id="size_limit" type="int" default="0" />
      <option id="goto_modified" type="bool" default="true" />
      <option id="allow_nonlinear_history" type="bool" default="false" />
      <option id="show_tooltip" type="bool" default="true" />
    </section>
    <section id="editor" text="Editor">
      <option id="zoom_with_wheel" type="bool" default="true" />
      <option id="zoom_with_slide" type="bool" default="false" />
      <option id="zoom_from_center_with_wheel" type="bool" default="false" />
      <option id="zoom_from_center_with_keys" type="bool" default="false" />
      <option id="invert_brush_size_wheel" type="bool" default="false" />
      <option id="show_scrollbars" type="bool" default="true" />
      <option id="auto_scroll" type="bool" default="true" />
      <option id="right_click_mode" type="RightClickMode" default="RightClickMode::PAINT_BGCOLOR" />
      <option id="auto_select_layer" type="bool" default="false" />
      <option id="auto_select_layer_quick" type="bool" default="true" />
      <option id="straight_line_preview" type="bool" default="true" />
      <option id="play_once" type="bool" default="false" />
      <option id="play_all" type="bool" default="false" />
      <option id="play_subtags" type="bool" default="true" />
      <!-- TODO this would be nice to be "true" but we have to fix
           some performance issue rendering huge sprites with small
           zoom levels -->
      <option id="auto_fit" type="bool" default="false" />
      <option id="downsampling" type="Downsampling" default="Downsampling::BILINEAR_MIPMAP" />
    </section>
    <section id="cels">
      <option id="user_data_visibility" type="bool" default="false" />
    </section>
    <section id="layers">
      <option id="user_data_visibility" type="bool" default="false" />
    </section>
    <section id="sprite">
      <option id="user_data_visibility" type="bool" default="false" />
    </section>
    <section id="tags">
      <option id="user_data_visibility" type="bool" default="false" />
    </section>
    <section id="timeline">
      <option id="keep_selection" type="bool" default="false" />
      <option id="select_on_click" type="bool" default="true" />
      <option id="select_on_click_with_key" type="bool" default="true" />
      <option id="select_on_drag" type="bool" default="true" />
      <option id="drag_and_drop_from_edges" type="bool" default="true" />
    </section>
    <section id="cursor">
      <option id="use_native_cursor" type="bool" default="false" />
      <option id="cursor_scale" type="int" default="1" />
      <option id="cursor_color" type="app::Color" default="app::Color::fromMask()" />
      <option id="painting_cursor_type" type="PaintingCursorType" default="PaintingCursorType::CROSSHAIR_ON_SPRITE" />
      <option id="brush_preview" type="BrushPreview" default="BrushPreview::FULL" />
      <option id="brush_preview_in_preview" type="bool" default="false" />
      <option id="snap_to_grid" type="bool" default="false" />
    </section>
    <section id="preview" text="Preview">
      <option id="play_once" type="bool" default="false" />
      <option id="play_all" type="bool" default="false" />
      <option id="play_subtags" type="bool" default="true" />
    </section>
    <section id="theme" text="Theme">
      <option id="selected" type="std::string" default="&quot;default&quot;" />
      <option id="font" type="std::string" />
      <option id="mini_font" type="std::string" />
    </section>
    <section id="tablet" text="Tablet">
      <option id="api" type="std::string" />
      <option id="set_cursor_fix" type="bool" default="true" />
    </section>
    <section id="experimental" text="Experimental">
      <option id="multiple_windows" type="bool" default="false" />
      <option id="new_render_engine" type="bool" default="true" />
      <option id="new_blend" type="bool" default="true" />
      <option id="compose_groups" type="bool" default="false" />
      <option id="use_native_clipboard" type="bool" default="true" />
      <option id="use_native_file_dialog" type="bool" default="true" />
      <option id="use_shaders_for_color_selectors" type="bool" default="true" />
      <option id="hue_with_sat_value_for_color_selector" type="bool" default="false" />
      <option id="one_finger_as_mouse_movement" type="bool" default="true" />
      <option id="load_wintab_driver" type="bool" default="false" />
      <option id="flash_layer" type="bool" default="false" />
      <option id="use_selection_tool_loop" type="bool" default="false" />
      <option id="nonactive_layers_opacity" type="int" default="255" />
      <option id="nonactive_layers_opacity_preview" type="int" default="255" />
    </section>
    <section id="news">
      <option id="cache_file" type="std::string" />
    </section>
    <section id="context_bar">
      <option id="show_corner_radius" type="bool" default="false" />
    </section>
    <section id="status_bar">
      <option id="focus_frame_field_on_mouseover" type="bool" default="false" />
    </section>
    <section id="color_bar">
      <option id="box_size" type="int" default="11" />
      <option id="tiles_box_size" type="int" default="16" />
      <option id="fg_color" type="app::Color" default="app::Color::fromRgb(255, 255, 255)" />
      <option id="bg_color" type="app::Color" default="app::Color::fromRgb(0, 0, 0)" />
      <option id="fg_tile" type="doc::tile_t" default="doc::notile" />
      <option id="bg_tile" type="doc::tile_t" default="doc::notile" />
      <option id="selector" type="app::ColorBar::ColorSelector" default="app::ColorBar::ColorSelector::TINT_SHADE_TONE" />
      <option id="discrete_wheel" type="bool" default="false" />
      <option id="wheel_model" type="int" default="0" />
      <option id="harmony" type="int" default="0" />
      <option id="show_invalid_fg_bg_color_alert" type="bool" default="true" />
      <option id="entries_separator" type="bool" default="true" />
      <option id="show_color_and_tiles" type="bool" default="true" />
      <option id="default_tileset_mode" type="app::TilesetMode" default="app::TilesetMode::Auto" />
    </section>
    <section id="updater">
      <option id="inits" type="int" default="0" />
      <option id="exits" type="int" default="0" />
      <option id="is_developer" type="bool" default="false" />
      <option id="wait_days" type="double" default="0.0" />
      <option id="last_check" type="int" default="0" />
      <option id="uuid" type="std::string" />
      <option id="current_version" type="std::string" />
      <option id="new_version" type="std::string" />
      <option id="new_url" type="std::string" />
    </section>
    <section id="brush">
      <option id="pattern" type="doc::BrushPattern" default="doc::BrushPattern::DEFAULT" />
    </section>
    <section id="save_brush">
      <option id="brush_type" type="bool" default="true" />
      <option id="brush_size" type="bool" default="true" />
      <option id="brush_angle" type="bool" default="true" />
      <option id="fg_color" type="bool" default="false" />
      <option id="bg_color" type="bool" default="false" />
      <option id="image_color" type="bool" default="true" />
      <option id="ink_type" type="bool" default="true" />
      <option id="ink_opacity" type="bool" default="true" />
      <option id="shade" type="bool" default="true" />
      <option id="pixel_perfect" type="bool" default="false" />
    </section>
    <section id="selection">
      <option id="mode" type="SelectionMode" default="SelectionMode::DEFAULT" />
      <option id="move_edges" type="bool" default="true" />
      <option id="modifiers_disable_handles" type="bool" default="true" />
      <option id="move_on_add_mode" type="bool" default="true" />
      <option id="pivot_visibility" type="bool" default="false" />
      <option id="pivot_position" type="PivotPosition" default="PivotPosition::CENTER" />
      <option id="opaque" type="bool" default="false" />
      <option id="auto_opaque" type="bool" default="true" />
      <option id="keep_selection_after_clear" type="bool" default="false" />
      <option id="auto_show_selection_edges" type="bool" default="true" />
      <option id="transparent_color" type="app::Color" />
      <option id="rotation_algorithm" type="app::tools::RotationAlgorithm" default="app::tools::RotationAlgorithm::DEFAULT" />
      <option id="modify_selection_quantity" type="int" default="1" />
      <option id="modify_selection_brush" type="BrushType" default="BrushType::CIRCLE" />
      <option id="doubleclick_select_tile" type="bool" default="true" />
      <option id="force_rotsprite" type="bool" default="false" />
      <option id="multicel_when_layers_or_frames" type="bool" default="true" />
      <option id="snap_to_grid" type="bool" default="true" />
    </section>
    <section id="quantization">
      <option id="with_alpha" type="bool" default="true" />
      <option id="dithering_algorithm" type="std::string" />
      <option id="dithering_factor" type="int" default="100" />
      <option id="to_gray" type="ToGrayAlgorithm" default="ToGrayAlgorithm::DEFAULT" />
      <option id="advanced" type="bool" default="false" />
      <option id="rgbmap_algorithm" type="doc::RgbMapAlgorithm" default="doc::RgbMapAlgorithm::DEFAULT" />
      <option id="fit_criteria" type="doc::FitCriteria" default="doc::FitCriteria::DEFAULT" />
    </section>
    <section id="eyedropper" text="Editor">
      <option id="channel" type="EyedropperChannel" default="EyedropperChannel::COLOR_ALPHA" />
      <option id="sample" type="EyedropperSample" default="EyedropperSample::ALL_LAYERS" />
      <option id="discard_brush" type="bool" default="false" />
    </section>
    <section id="shared">
      <option id="share_dynamics" type="bool" default="true" />
      <option id="share_ink" type="bool" default="false" />
      <option id="ink" type="app::tools::InkType" default="app::tools::InkType::DEFAULT" />
    </section>
    <section id="new_file">
      <option id="width" type="int" default="32" />
      <option id="height" type="int" default="32" />
      <option id="color_mode" type="doc::ColorMode" default="doc::ColorMode::RGB" />
      <option id="background_color" type="int" default="0" />
      <option id="advanced" type="bool" default="false" />
      <option id="pixel_ratio" type="std::string" />
    </section>
    <section id="file_selector">
      <option id="current_folder" type="std::string" default="&quot;&lt;empty&gt;&quot;" />
      <option id="zoom" type="double" default="1.0" />
      <option id="show_hidden" type="bool" default="false" />
    </section>
    <section id="text_tool">
      <option id="font_face" type="std::string" />
      <option id="font_size" type="int" default="12" />
      <option id="antialias" type="bool" default="false" />
      <option id="font_info" type="std::string" />
    </section>
    <section id="symmetry_mode">
      <option id="enabled" type="bool" default="false" />
    </section>
    <section id="perf">
      <option id="show_render_time" type="bool" default="false" />
    </section>
    <section id="guides">
      <option id="layer_edges_color" type="app::Color" default="app::Color::fromRgb(0, 0, 255)" />
      <option id="auto_guides_color" type="app::Color" default="app::Color::fromRgb(0, 0, 255, 128)" />
    </section>
    <section id="slices">
      <option id="default_color" type="app::Color" default="app::Color::fromRgb(0, 0, 255)" />
      <option id="user_data_visibility" type="bool" default="false" />
      <option id="use_keys" type="bool" default="false" />
    </section>
    <section id="advanced_mode">
      <option id="show_alert" type="bool" default="true" />
    </section>
    <section id="open_file">
      <option id="open_sequence" type="SequenceDecision" default="SequenceDecision::ASK" />
    </section>
    <section id="save_file">
      <option id="show_file_format_doesnt_support_alert" type="bool" default="true" />
      <option id="show_export_animation_in_sequence_alert" type="bool" default="true" />
      <option id="default_extension" type="std::string" default="&quot;aseprite&quot;" />
    </section>
    <section id="export_file">
      <option id="show_overwrite_files_alert" type="bool" default="true" />
      <option id="image_default_extension" type="std::string" default="&quot;png&quot;" />
      <option id="animation_default_extension" type="std::string" default="&quot;gif&quot;" />
    </section>
    <section id="sprite_sheet">
      <option id="show_overwrite_files_alert" type="bool" default="true" />
      <option id="default_extension" type="std::string" default="&quot;png&quot;" />
      <option id="preview" type="bool" default="true" />
      <option id="sections" type="std::string" />
    </section>
    <section id="gif">
      <option id="show_alert" type="bool" default="true" />
      <option id="interlaced" type="bool" default="false" />
      <option id="loop" type="bool" default="true" />
      <option id="preserve_palette_order" type="bool" default="true" />
    </section>
    <section id="jpeg">
      <option id="show_alert" type="bool" default="true" />
      <option id="quality" type="double" default="1.0" />
    </section>
    <section id="svg">
      <option id="show_alert" type="bool" default="true" />
      <option id="pixel_scale" type="int" default="1" />
    </section>
    <section id="tga">
      <option id="show_alert" type="bool" default="true" />
      <option id="bits_per_pixel" type="int" default="0" />
      <option id="compress" type="bool" default="true" />
    </section>
    <section id="css">
      <option id="show_alert" type="bool" default="true" />
      <option id="pixel_scale" type="int" default="1" />
      <option id="with_vars" type="bool" default="false" />
      <option id="generate_html" type="bool" default="false" />
    </section>
    <section id="webp">
      <option id="show_alert" type="bool" default="true" />
      <option id="loop" type="bool" default="true" />
      <option id="type" type="int" default="0" />
      <option id="quality" type="int" default="100" />
      <option id="compression" type="int" default="6" />
      <option id="image_hint" type="int" default="0" />
      <option id="image_preset" type="int" default="0" />
    </section>
    <section id="hue_saturation">
      <option id="mode" type="filters::HueSaturationFilter::Mode" default="filters::HueSaturationFilter::Mode::HSL_MUL" />
    </section>
    <section id="filters">
      <option id="cels_target" type="CelsTarget" default="CelsTarget::Selected" />
    </section>
    <section id="scripts">
      <option id="show_run_script_alert" type="bool" default="true" />
    </section>
    <section id="color">
      <option id="manage" type="bool" default="true" />
      <option id="working_rgb_space" type="std::string" default="&quot;sRGB&quot;" />
      <option id="files_with_profile" type="ColorProfileBehavior" default="ColorProfileBehavior::EMBEDDED" />
      <option id="missing_profile" type="ColorProfileBehavior" default="ColorProfileBehavior::ASSIGN" />
      <option id="window_profile" type="WindowColorProfile" default="WindowColorProfile::MONITOR" />
      <option id="window_profile_name" type="std::string" />
    </section>
    <section id="range">
      <option id="alpha" type="AlphaRange" default="AlphaRange::EIGHT_BIT" />
      <option id="opacity" type="AlphaRange" default="AlphaRange::PERCENTAGE" />
    </section>
    <section id="canvas_size">
      <option id="trim_outside" type="bool" default="false" />
    </section>
    <section id="tileset">
      <option id="base_index" type="int" default="1" />
      <option id="cache_compressed_tilesets" type="bool" default="true" />
      <option id="advanced" type="bool" default="false" />
    </section>
    <section id="tilemap">
      <option id="show_delete_unused_tileset_alert" type="bool" default="true" />
    </section>
    <section id="aseprite_format">
      <option id="cel_format" type="CelContentFormat" default="CelContentFormat::COMPRESSED" />
    </section>
  </global>

  <tool>
    <option id="opacity" type="int" default="255" />
    <option id="tolerance" type="int" default="0" />
    <option id="contiguous" type="bool" default="true" />
    <option id="filled" type="bool" default="false" />
    <option id="filled_preview" type="bool" default="false" />
    <option id="ink" type="app::tools::InkType" default="app::tools::InkType::DEFAULT" />
    <option id="freehand_algorithm" type="app::tools::FreehandAlgorithm" default="app::tools::FreehandAlgorithm::DEFAULT" />
    <option id="corner_radius" type="int" default="0" />
    <!-- Update app::Preferences::resetToolPreferences() function if you add new sections here  -->
    <section id="brush">
      <option id="type" type="BrushType" default="BrushType::CIRCLE" />
      <option id="size" type="int" default="1" />
      <option id="angle" type="int" default="0" />
    </section>
    <section id="spray">
      <option id="width" type="int" default="16" />
      <option id="speed" type="int" default="32" />
    </section>
    <section id="floodfill">
      <option id="stop_at_grid" type="StopAtGrid" default="StopAtGrid::NEVER" />
      <option id="refer_to" type="FillReferTo" default="FillReferTo::ACTIVE_LAYER" />
      <option id="pixel_connectivity" type="PixelConnectivity" default="PixelConnectivity::FOUR_CONNECTED" />
    </section>
    <section id="dynamics">
      <option id="stabilizer" type="bool" default="false" />
      <option id="stabilizer_factor" type="int" default="0" />
      <option id="size" type="app::tools::DynamicSensor" default="app::tools::DynamicSensor::Static" />
      <option id="angle" type="app::tools::DynamicSensor" default="app::tools::DynamicSensor::Static" />
      <option id="gradient" type="app::tools::DynamicSensor" default="app::tools::DynamicSensor::Static" />
      <option id="min_size" type="int" default="1" />
      <option id="min_angle" type="int" default="1" />
      <option id="color_from_to" type="app::tools::ColorFromTo" default="app::tools::ColorFromTo::BgToFg" />
      <option id="matrix_name" type="std::string" />
      <option id="min_pressure_threshold" type="double" default="0.1" />
      <option id="max_pressure_threshold" type="double" default="0.9" />
      <option id="min_velocity_threshold" type="double" default="0.1" />
      <option id="max_velocity_threshold" type="double" default="0.9" />
    </section>
  </tool>

  <document>
    <section id="site">
      <option id="frame" type="doc::frame_t" default="doc::frame_t(0)" />
      <option id="layer" type="doc::layer_t" default="doc::layer_t(0)" />
    </section>
    <section id="tiled">
      <option id="mode" type="filters::TiledMode" default="filters::TiledMode::NONE" />
    </section>
    <section id="symmetry">
      <option id="mode" type="SymmetryMode" default="SymmetryMode::NONE" />
      <option id="x_axis" type="double" default="0" />
      <option id="y_axis" type="double" default="0" />
    </section>
    <section id="grid" canforce="true">
      <option id="snap" type="bool" default="false" />
      <option id="bounds" type="gfx::Rect" default="doc::Sprite::DefaultGridBounds()" />
      <option id="color" type="app::Color" default="app::Color::fromRgb(0, 0, 255)" />
      <option id="opacity" type="int" default="160" />
      <option id="auto_opacity" type="bool" default="true" />
    </section>
    <section id="pixel_grid" canforce="true">
      <option id="color" type="app::Color" default="app::Color::fromRgb(200, 200, 200)" />
      <option id="opacity" type="int" default="160" />
      <option id="auto_opacity" type="bool" default="true" />
    </section>
    <section id="bg" canforce="true">
      <option id="type" type="BgType" default="BgType::CHECKERED_16x16" />
      <option id="size" type="gfx::Size" default="gfx::Size(16, 16)" />
      <option id="zoom" type="bool" default="true" />
      <option id="color1" type="app::Color" default="app::Color::fromRgb(128, 128, 128)" />
      <option id="color2" type="app::Color" default="app::Color::fromRgb(192, 192, 192)" />
    </section>
    <section id="timeline">
      <option id="first_frame" type="int" default="1" />
    </section>
    <section id="thumbnails">
      <option id="zoom" type="double" default="1" />
      <option id="enabled" type="bool" default="false" />
      <option id="overlay_enabled" type="bool" default="false" />
      <option id="overlay_size" type="int" default="5" />
      <option id="scale_up_to_fit" type="bool" default="false" />
    </section>
    <section id="onionskin">
      <option id="active" type="bool" default="false" />
      <option id="prev_frames" type="int" default="1" />
      <option id="next_frames" type="int" default="1" />
      <option id="opacity_base" type="int" default="68" />
      <option id="opacity_step" type="int" default="28" />
      <option id="type" type="OnionskinType" default="OnionskinType::MERGE" />
      <option id="loop_tag" type="bool" default="true" />
      <option id="current_layer" type="bool" default="false" />
      <option id="position" type="render::OnionskinPosition" default="render::OnionskinPosition::BEHIND" />
    </section>
    <section id="save_copy" canclear="true">
      <option id="filename" type="std::string" />
      <option id="resize_scale" type="double" default="1" />
      <option id="area" type="std::string" />
      <option id="layer" type="std::string" />
      <option id="layer_index" type="int" default ="-1" />
      <option id="frame_tag" type="std::string" />
      <option id="ani_dir" type="doc::AniDir" default="doc::AniDir::FORWARD" />
      <option id="apply_pixel_ratio" type="bool" default="false" />
      <option id="for_twitter" type="bool" default="false" />
      <option id="play_subtags" type="bool" default="true" />
      <option id="ignore_empty" type="bool" default="false" />
    </section>
    <section id="sprite_sheet">
      <option id="defined" type="bool" default="false" />
      <option id="type" type="app::SpriteSheetType" default="app::SpriteSheetType::None" />
      <option id="columns" type="int" default="0" />
      <option id="rows" type="int" default="0" />
      <option id="width" type="int" default="0" />
      <option id="height" type="int" default="0" />
      <option id="texture_filename" type="std::string" />
      <option id="data_filename" type="std::string" />
      <option id="data_format" type="SpriteSheetDataFormat" default="SpriteSheetDataFormat::Default" />
      <option id="filename_format" type="std::string" />
      <option id="tagname_format" type="std::string" />
      <option id="border_padding" type="int" default="0" />
      <option id="shape_padding" type="int" default="0" />
      <option id="inner_padding" type="int" default="0" />
      <option id="trim_sprite" type="bool" default="false" />
      <option id="trim" type="bool" default="false" />
      <option id="trim_by_grid" type="bool" default="false" />
      <option id="extrude" type="bool" default="false" />
      <option id="merge_duplicates" type="bool" default="false" />
      <option id="ignore_empty" type="bool" default="false" />
      <option id="open_generated" type="bool" default="false" />
      <option id="layer" type="std::string" />
      <option id="layer_index" type="int" default ="-1" />
      <option id="frame_tag" type="std::string" />
      <option id="split_layers" type="bool" default="false" />
      <option id="split_tags" type="bool" default="false" />
      <option id="split_grid" type="bool" default="false" />
      <option id="list_layers" type="bool" default="true" />
      <option id="list_frame_tags" type="bool" default="true" />
      <option id="list_slices" type="bool" default="true" />
    </section>
    <section id="import_sprite_sheet">
      <option id="type" type="app::SpriteSheetType" default="app::SpriteSheetType::Rows" />
      <option id="bounds" type="gfx::Rect" default="gfx::Rect(0, 0, 0, 0)" />
      <option id="padding_enabled" type="bool" default="false" />
      <option id="padding_bounds" type="gfx::Size" default="gfx::Size(0, 0)" />
      <option id="partial_tiles" type="bool" default="false" />
    </section>
    <section id="preview" text="Preview">
      <option id="zoom" type="double" default="1.0" />
      <option id="scroll" type="gfx::Point" />
      <option id="auto_scroll" type="bool" default="true" />
    </section>
    <section id="show">
      <option id="layer_edges" type="bool" default="false" />
      <option id="selection_edges" type="bool" default="true" />
      <option id="grid" type="bool" default="false" />
      <option id="pixel_grid" type="bool" default="false" />
      <option id="brush_preview" type="bool" default="true" />
      <option id="slices" type="bool" default="true" />
      <option id="auto_guides" type="bool" default="true" />
      <option id="tile_numbers" type="bool" default="true" />
    </section>
  </document>

</preferences>
